#include<iostream>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    int n,k,*a,p;
    cin>>n>>k;
    a=new int [n];
    for(int i=0;i<n;i++){
        cin>>a[i];
        if(a[i]==k)p=i;
    }
    if(p==n-1) cout<<a[0];
    else cout<<a[p+1];
    return 0;
}